%bcond_without qt5

%define hgtag 38e78368283d

%define timestamp 3.20121014

%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define libgir		%mklibname %{name}-gir %{gi_major}
%define libgtk		%mklibname %{name}gtk %{major}
%define libqt		%mklibname %{name}qt %{major}
%define	devname		%mklibname %{name} -d

Name:		zbar
Summary:	Bar Code Reader software suite for reading bar codes from various sources
Version:	0.23.1
%define 	subrel 2
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://github.com/mchehab/zbar
Source0:	https://www.linuxtv.org/downloads/zbar/zbar-%{version}.tar.bz2
Source1:	zbar-qt.pc.in
Source2:	zbar-qt5.pc.in
Source3:	gettext.h
Patch0:		use_python3_on_python_script.patch
Patch1:		0001-Fix-build-with-upcoming-autoconf-2.70.patch
BuildRequires:	git
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	gettext-devel
%if %{with qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
%endif
BuildRequires:	xmlto-notex
BuildRequires:	imagemagick-devel
Requires:	imagemagick

%description
ZBar Bar Code Reader is an open source software suite for reading bar
codes from various sources, such as video streams, image files and raw
intensity sensors. It supports EAN-13/UPC-A, UPC-E, EAN-8, Code 128,
Code 39, Interleaved 2 of 5 and QR Code.  Included with the library
are basic applications for decoding captured bar code images and using
a video device (eg, webcam) as a bar code scanner.  For application
developers, language bindings are included for C, C++, Python and Perl
as well as GUI widgets for Qt, GTK and PyGTK.

%package -n %{libname}
Summary: ZBAR Libraries
Group: Graphics/Utilities

%description -n %{libname}
Libraries for the ZBar Bar Code Reader.

%package -n %{libgtk}
Summary: ZBAR Libraries
Group: Graphics/Utilities
Conflicts: %{_lib}zbar0 < %{version}-%{release}
Requires: %{libgir} = %{version}-%{release}

%description -n %{libgtk}
Libraries for the ZBar Bar Code Reader.

%package -n %{libgir}
Group: System/Libraries
Summary: GObject Introspection interface description for %{name}
Requires: %{libname} = %{version}-%{release}

%description -n %{libgir}
GObject Introspection interface description for %{name}.

%package -n %{libqt}
Summary: ZBAR Libraries
Group: Graphics/Utilities
Conflicts: %{_lib}zbar0 < %{version}-%{release}

%description -n %{libqt}
Libraries for the ZBar Bar Code Reader.

%package -n %{devname}
Summary: ZBAR Development headers and libraries
Group: Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}
Requires: %{libgtk} = %{version}
Requires: %{libgir} = %{version}
%if %{with qt5}
Requires: %{libqt} = %{version}
%endif
Obsoletes: %{_lib}zbar0-devel < %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the ZBar Bar Code Reader.

%package -n python3-%{name}
Summary: Python 3 bindings for ZBAR
Group: Graphics/Utilities

Obsoletes: python-zbar < 0.22-2
Provides: python-zbar = %{version}-%{release}

%description -n python3-%{name}
Python 3 bindings for the ZBar Bar Code Reader.

%files -f %{name}.lang
%{_bindir}/zbarimg
%{_bindir}/zbarcam
%{_bindir}/zbarcam-gtk
%if %{with qt5}
%{_bindir}/zbarcam-qt
%endif
%doc %{_docdir}/%{name}/
%{_mandir}/man1/zbarimg.1*
%{_mandir}/man1/zbarcam.1*

%files -n %{libname}
%{_libdir}/libzbar.so.%{major}
%{_libdir}/libzbar.so.%{major}.*

%files -n %{libgtk}
%{_libdir}/libzbargtk.so.%{major}
%{_libdir}/libzbargtk.so.%{major}.*

%if %{with qt5}
%files -n %{libqt}
%{_libdir}/libzbarqt.so.%{major}
%{_libdir}/libzbarqt.so.%{major}.*
%endif

%files -n python3-%{name}
%{python3_sitearch}/zbar.so

%files -n %{libgir}
%{_libdir}/girepository-1.0/ZBar-%{gi_major}.typelib

%files -n %{devname}
%dir %{_includedir}/zbar
%{_includedir}/zbar.h
%{_includedir}/zbar/*.h
%{_sysconfdir}/dbus-1/system.d/org.linuxtv.Zbar.conf
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libzbar.so
%{_libdir}/libzbargtk.so
%if %{with qt5}
%{_libdir}/libzbarqt.so
%endif
%{_datadir}/gir-1.0/ZBar-%{gi_major}.gir

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

cp -a %{SOURCE1} .
cp -a %{SOURCE2} .
cp -a %{SOURCE3} ./zbar

%build
autoreconf -vfi
%configure \
	--disable-static \
	%{?!with_qt5:--without-qt5} \
	--with-gtk=auto \
	--with-python=python3 \
	--without-java
%make_build

%install
%make_install
%find_lang %{name}

# remove .la files
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Nov 25 2022 ns80 <ns80> 0.23.1-5.2.mga8
+ Revision: 1911031
- Rebuild against new imagemagick (mga#29054)
+ neoclust <neoclust>
- Rebuild against new imagemagick

* Thu Dec 17 2020 umeabot <umeabot> 0.23.1-5.mga8
+ Revision: 1660339
- Rebuild for new Qt5

* Mon Nov 16 2020 kekepower <kekepower> 0.23.1-4.mga8
+ Revision: 1646574
- Rebuild for new Imagemagick lib major

* Sat Oct 24 2020 wally <wally> 0.23.1-3.mga8
+ Revision: 1639034
- use imagemagick instead of graphicsmagick
- add a patch to fix build with upcoming autoconf 2.70

* Mon May 11 2020 shlomif <shlomif> 0.23.1-2.mga8
+ Revision: 1582879
- Fix deps and changeset by cheese-e-boi

* Sun May 10 2020 shlomif <shlomif> 0.23.1-1.mga8
+ Revision: 1582717
- New version 0.23.1 by cheese-e-boi

* Sun Feb 16 2020 umeabot <umeabot> 0.23-4.mga8
+ Revision: 1532212
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 daviddavid <daviddavid> 0.23-3.mga8
+ Revision: 1442233
- rebuild for python3.8

* Sat Aug 31 2019 daviddavid <daviddavid> 0.23-2.mga8
+ Revision: 1435800
- port to Python 3
- port to GTK+3
- enable Qt5 bindings

* Sun Jul 14 2019 shlomif <shlomif> 0.23-1.mga8
+ Revision: 1421254
- New version 0.23

* Fri Mar 15 2019 shlomif <shlomif> 0.22-1.mga7
+ Revision: 1377744
- New version 0.22

* Tue Feb 19 2019 shlomif <shlomif> 0.21-1.mga7
+ Revision: 1368500
- New version 0.21

* Sat Dec 22 2018 shlomif <shlomif> 0.20.1-1.mga7
+ Revision: 1344517
- New version 0.20.1

* Thu Oct 11 2018 wally <wally> 0.10-3.20121014.11.mga7
+ Revision: 1319677
- drop unused qt4 support

* Sun Sep 23 2018 umeabot <umeabot> 0.10-3.20121014.10.mga7
+ Revision: 1302039
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 stormi <stormi> 0.10-3.20121014.9.mga7
+ Revision: 1212249
- Fix broken zbarcam due to missing v4l2 compatibility

* Tue Feb 09 2016 umeabot <umeabot> 0.10-3.20121014.8.mga6
+ Revision: 951567
- Mageia 6 Mass Rebuild

* Sun Jan 04 2015 doktor5000 <doktor5000> 0.10-3.20121014.7.mga5
+ Revision: 808350
- do not disable video support
  o allows to scan QR codes via video camera/webcam
  o adds back binary zbarcam

* Wed Oct 15 2014 umeabot <umeabot> 0.10-3.20121014.6.mga5
+ Revision: 740225
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10-3.20121014.5.mga5
+ Revision: 730753
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ mcb30 <mcb30>
- Require graphicsmagick to avoid error due to missing file delegates.mgk
- Add explicit --without-java to prevent build failing when javac is present

* Fri Oct 18 2013 umeabot <umeabot> 0.10-2.20121014.4.mga4
+ Revision: 520937
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.10-2.20121014.3.mga3
+ Revision: 387661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Fri Dec 14 2012 fwang <fwang> 0.10-2.20121014.2.mga3
+ Revision: 330871
- split out libs

* Fri Dec 14 2012 fwang <fwang> 0.10-2.20121014.1.mga3
+ Revision: 330839
- br xmlto
- use graphicsmagick
- do not use werror
- fix build with am 1.2
- br gettext
- new snapshot
- br git to apply git binary diff
- sync with fedora package
- sync with fedora package
- update rpm group

* Tue Sep 13 2011 fwang <fwang> 0.10-2.mga2
+ Revision: 142854
- rebuild for imagemagick

* Mon Jun 27 2011 stewb <stewb> 0.10-1.mga2
+ Revision: 114752
- forgot imagemagick-devel buildrequires
- imported package zbar


* Mon Jun 27 2011 Stew Benedict <stewb@mageia.org> 0.10-1mga2
- initial import

